PERTALIFE - Support #2202

Perbaikan Combobox di Menu Asset Management
05/31/2023 05:14 PM - haykal haykal

Status: QA Test Start date: 05/31/2023
Priority: Normal Due date: 06/07/2023
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Pilihan combobox Asset ID seharusnya menyesuaikan dengan combobox Asset Code yang telah dipilih.

Terdapat pada:
-Menu Maintenance Request bagian Document Detail setelah klik Add
-Menu Facilities Request bagian Document Detail setelah klik Add

Masalah serupa juga terjadi pada menu-menu Asset Report (Asset Detail, Asset Recap, Maintenance & Utilization)
Contoh (pada Report Parameter) ketika Asset Class-nya dipilih Computer, maka combobox Asset Type harusnya hanya
menampilkan asset type yang tergolong jenis computer saja. Dan begitu seterusnya sampai Asset Code dan Asset ID.

port: remote.minovais.com:61115/

History

#1 - 06/05/2023 02:50 PM - Kezia Pawitra Yulianti
- Tracker changed from Functional to Support
- Due date set to 06/07/2023

- Status changed from New to Assigned

#2 - 06/12/2023 11:14 AM - Tri Rizqgiaty

- File MinovalS.MinovaES.Implementation.FILO.Asset.dll added
- File Asset 20230612.xIsx added

- File PDSCOMBOASSETCODE.sql added

- Status changed from Assigned to Developing

Fixing :

1. Update folder API1\bin & API2\bin : MinovalS.MinovaES.Implementation.FILO.Asset.dll
2. Update table SDATATABLE, SDATATABLEFIELD, SDATASOURCE : PDSCOMBOASSETCODE
3. Execute SP PDSCOMBOASSETCODE

#3 - 06/12/2023 11:15 AM - Tri Rizqgiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

#4 - 06/12/2023 03:55 PM - haykal haykal
- Assignee changed from haykal haykal to Tri Rizqiaty

#5 - 06/13/2023 11:04 AM - Tri Rizqgiaty

- File PDSCOMBOASSETIDRPT.sql added

- File Asset 20230612.xIsx added

- File MinovalS.MinovaES.Implementation.FILO.Asset.dll added
- Assignee changed from Tri Rizqiaty to haykal haykal

Fixing :
1. Update folder API1\bin & API2\bin : MinovalS.MinovaES.Implementation.FILO.Asset.dll
2. Update table SDATATABLE, SDATATABLEFIELD, SDATASOURCE : PDSCOMBOASSETIDRPT
3. Execute SP PDSCOMBOASSETIDRPT

Files

Asset Code Asset ID Maintenance Request.PNG 19.2 KB 05/31/2023 haykal haykal
MinovalS.MinovaES.Implementation.FILO.Asset.dll 10.5 KB 06/12/2023 Tri Rizgiaty
PDSCOMBOASSETCODE.sql 128 Bytes 06/12/2023 Tri Rizqgiaty
Asset 20230612.xlsx 11.5KB 06/12/2023 Tri Rizqiaty
PDSCOMBOASSETIDRPT.sql 739 Bytes 06/13/2023 Tri Rizqgiaty
Asset 20230612.xlsx 13.9 KB 06/13/2023 Tri Rizqiaty
MinovalS.MinovaES.Implementation.FILO.Asset.dll 11 KB 06/13/2023 Tri Rizgiaty
